/*===========================================================================*/
/*   (Eval/expdstruct.scm)                                                   */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -O4 -mklib -cc gcc-2.95 -fsharing -q -s -copt -DBGL_NO_PIC -unsafe -c Eval/expdstruct.scm -indent -o objs/obj_u/Eval/expdstruct.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>
#include <signal.h>

BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__expander_structz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__match_normaliza7eza7(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
static obj_t BGl_list2568z00zz__expander_structz00 = BUNSPEC;
static obj_t BGl_list2569z00zz__expander_structz00 = BUNSPEC;
extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern long bgl_list_length(obj_t);
extern obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl_cnstzd2initzd2zz__expander_structz00();
static obj_t BGl_symbol2570z00zz__expander_structz00 = BUNSPEC;
static obj_t BGl_symbol2566z00zz__expander_structz00 = BUNSPEC;
static obj_t BGl_symbol2565z00zz__expander_structz00 = BUNSPEC;
static obj_t BGl_symbol2563z00zz__expander_structz00 = BUNSPEC;
static obj_t BGl_symbol2562z00zz__expander_structz00 = BUNSPEC;
static obj_t BGl_symbol2561z00zz__expander_structz00 = BUNSPEC;
static obj_t BGl_symbol2560z00zz__expander_structz00 = BUNSPEC;
static obj_t BGl_symbol2559z00zz__expander_structz00 = BUNSPEC;
static obj_t BGl_symbol2558z00zz__expander_structz00 = BUNSPEC;
static obj_t BGl_symbol2557z00zz__expander_structz00 = BUNSPEC;
static obj_t BGl_symbol2556z00zz__expander_structz00 = BUNSPEC;
static obj_t BGl_symbol2555z00zz__expander_structz00 = BUNSPEC;
static obj_t BGl_symbol2554z00zz__expander_structz00 = BUNSPEC;
extern obj_t string_to_symbol(char *);
static obj_t BGl_symbol2553z00zz__expander_structz00 = BUNSPEC;
static obj_t BGl_symbol2552z00zz__expander_structz00 = BUNSPEC;
static obj_t BGl_symbol2551z00zz__expander_structz00 = BUNSPEC;
static obj_t BGl_symbol2549z00zz__expander_structz00 = BUNSPEC;
static obj_t BGl_symbol2548z00zz__expander_structz00 = BUNSPEC;
static obj_t BGl_symbol2547z00zz__expander_structz00 = BUNSPEC;
static obj_t BGl_symbol2546z00zz__expander_structz00 = BUNSPEC;
static obj_t BGl_symbol2545z00zz__expander_structz00 = BUNSPEC;
static obj_t BGl_symbol2544z00zz__expander_structz00 = BUNSPEC;
static obj_t BGl_symbol2543z00zz__expander_structz00 = BUNSPEC;
static obj_t BGl_symbol2542z00zz__expander_structz00 = BUNSPEC;
static obj_t BGl_symbol2541z00zz__expander_structz00 = BUNSPEC;
static obj_t BGl_symbol2540z00zz__expander_structz00 = BUNSPEC;
static obj_t BGl_symbol2539z00zz__expander_structz00 = BUNSPEC;
static obj_t BGl_importedzd2moduleszd2initz00zz__expander_structz00();
static obj_t BGl_requirezd2initializa7ationz75zz__expander_structz00 = BUNSPEC;
static obj_t BGl__expandzd2evalzd2definezd2structzd2zz__expander_structz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_expandzd2evalzd2definezd2structzd2zz__expander_structz00(obj_t, obj_t);
static obj_t BGl_list2538z00zz__expander_structz00 = BUNSPEC;
extern obj_t BGl_matchzd2definezd2structurez12z12zz__match_normaliza7eza7(obj_t);
static obj_t *__cnst;


DEFINE_STRING( BGl_string2567z00zz__expander_structz00, BgL_bgl_string2567za700za7za7__expander_structza7002576z00, "struct-set!:not an instance of", 30 );
DEFINE_STRING( BGl_string2564z00zz__expander_structz00, BgL_bgl_string2564za700za7za7__expander_structza7002577z00, "struct-ref:not an instance of", 29 );
DEFINE_STRING( BGl_string2550z00zz__expander_structz00, BgL_bgl_string2550za700za7za7__expander_structza7002578z00, "Too many argument provided", 26 );
DEFINE_STRING( BGl_string2537z00zz__expander_structz00, BgL_bgl_string2537za700za7za7__expander_structza7002579z00, "Illegal `define-struct' form", 28 );
DEFINE_STRING( BGl_string2536z00zz__expander_structz00, BgL_bgl_string2536za700za7za7__expander_structza7002580z00, "define-struct", 13 );
DEFINE_EXPORT_PROCEDURE( BGl_expandzd2evalzd2definezd2structzd2envz00zz__expander_structz00, BgL_bgl__expandza7d2evalza7d2defineza7d2structza7d2za7za7__expander_structza7002581za7, BGl__expandzd2evalzd2definezd2structzd2zz__expander_structz00, 0L, 2 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__expander_structz00(long BgL_checksumz00_1069, char * BgL_fromz00_1070)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__expander_structz00))
{ 
BGl_requirezd2initializa7ationz75zz__expander_structz00 = 
BBOOL(((bool_t)0)); 
BGl_cnstzd2initzd2zz__expander_structz00(); 
BGl_importedzd2moduleszd2initz00zz__expander_structz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__expander_structz00()
{ AN_OBJECT;
{ /* ./Eval/expdstruct.scm 18 */
BGl_symbol2539z00zz__expander_structz00 = 
string_to_symbol("quote"); 
{ /* ./Eval/expdstruct.scm 72 */
obj_t BgL_auxz00_1077;
BgL_auxz00_1077 = 
MAKE_PAIR(BNIL, BNIL); 
BGl_list2538z00zz__expander_structz00 = 
MAKE_PAIR(BGl_symbol2539z00zz__expander_structz00, BgL_auxz00_1077); } 
BGl_symbol2540z00zz__expander_structz00 = 
string_to_symbol("begin"); 
BGl_symbol2541z00zz__expander_structz00 = 
string_to_symbol("define-inline"); 
BGl_symbol2542z00zz__expander_structz00 = 
string_to_symbol("make-"); 
BGl_symbol2543z00zz__expander_structz00 = 
string_to_symbol("init"); 
BGl_symbol2544z00zz__expander_structz00 = 
string_to_symbol("if"); 
BGl_symbol2545z00zz__expander_structz00 = 
string_to_symbol("pair?"); 
BGl_symbol2546z00zz__expander_structz00 = 
string_to_symbol("not"); 
BGl_symbol2547z00zz__expander_structz00 = 
string_to_symbol("null?"); 
BGl_symbol2548z00zz__expander_structz00 = 
string_to_symbol("cdr"); 
BGl_symbol2549z00zz__expander_structz00 = 
string_to_symbol("error"); 
BGl_symbol2551z00zz__expander_structz00 = 
string_to_symbol("make-struct"); 
BGl_symbol2552z00zz__expander_structz00 = 
string_to_symbol("car"); 
BGl_symbol2553z00zz__expander_structz00 = 
string_to_symbol("let"); 
BGl_symbol2554z00zz__expander_structz00 = 
string_to_symbol("new"); 
BGl_symbol2555z00zz__expander_structz00 = 
string_to_symbol("-"); 
BGl_symbol2556z00zz__expander_structz00 = 
string_to_symbol("-set!"); 
BGl_symbol2557z00zz__expander_structz00 = 
string_to_symbol("?"); 
BGl_symbol2558z00zz__expander_structz00 = 
string_to_symbol("o"); 
BGl_symbol2559z00zz__expander_structz00 = 
string_to_symbol("struct?"); 
BGl_symbol2560z00zz__expander_structz00 = 
string_to_symbol("eq?"); 
BGl_symbol2561z00zz__expander_structz00 = 
string_to_symbol("struct-key"); 
BGl_symbol2562z00zz__expander_structz00 = 
string_to_symbol("s"); 
BGl_symbol2563z00zz__expander_structz00 = 
string_to_symbol("struct-ref"); 
BGl_symbol2565z00zz__expander_structz00 = 
string_to_symbol("v"); 
BGl_symbol2566z00zz__expander_structz00 = 
string_to_symbol("struct-set!"); 
BGl_symbol2570z00zz__expander_structz00 = 
string_to_symbol("unspecified"); 
BGl_list2569z00zz__expander_structz00 = 
MAKE_PAIR(BGl_symbol2570z00zz__expander_structz00, BNIL); 
return ( 
BGl_list2568z00zz__expander_structz00 = 
MAKE_PAIR(BGl_list2569z00zz__expander_structz00, BNIL), BUNSPEC) ;} 
}



/* expand-eval-define-struct */
BGL_EXPORTED_DEF obj_t BGl_expandzd2evalzd2definezd2structzd2zz__expander_structz00(obj_t BgL_xz00_1, obj_t BgL_ez00_2)
{ AN_OBJECT;
{ /* ./Eval/expdstruct.scm 54 */
{ 
obj_t BgL_namez00_357;obj_t BgL_slotsz00_358;
if(
PAIRP(BgL_xz00_1))
{ /* ./Eval/expdstruct.scm 55 */
obj_t BgL_cdrzd2109zd2_363;
BgL_cdrzd2109zd2_363 = 
CDR(BgL_xz00_1); 
if(
PAIRP(BgL_cdrzd2109zd2_363))
{ /* ./Eval/expdstruct.scm 55 */
BgL_namez00_357 = 
CAR(BgL_cdrzd2109zd2_363); 
BgL_slotsz00_358 = 
CDR(BgL_cdrzd2109zd2_363); 
BGl_matchzd2definezd2structurez12z12zz__match_normaliza7eza7(BgL_xz00_1); 
{ /* ./Eval/expdstruct.scm 58 */
long BgL_lenz00_367;
BgL_lenz00_367 = 
bgl_list_length(BgL_slotsz00_358); 
{ /* ./Eval/expdstruct.scm 58 */
obj_t BgL_slotszd2namezd2_368;
if(
NULLP(BgL_slotsz00_358))
{ /* ./Eval/expdstruct.scm 59 */
BgL_slotszd2namezd2_368 = BNIL; }  else 
{ /* ./Eval/expdstruct.scm 59 */
obj_t BgL_head1005z00_706;
BgL_head1005z00_706 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l1003z00_707;obj_t BgL_tail1006z00_708;
BgL_l1003z00_707 = BgL_slotsz00_358; 
BgL_tail1006z00_708 = BgL_head1005z00_706; 
BgL_map1004z00_709:
if(
NULLP(BgL_l1003z00_707))
{ /* ./Eval/expdstruct.scm 59 */
BgL_slotszd2namezd2_368 = 
CDR(BgL_head1005z00_706); }  else 
{ /* ./Eval/expdstruct.scm 60 */
obj_t BgL_newtail1007z00_711;
{ /* ./Eval/expdstruct.scm 60 */
obj_t BgL_arg1787z00_713;
{ /* ./Eval/expdstruct.scm 60 */
obj_t BgL_sz00_715;
BgL_sz00_715 = 
CAR(BgL_l1003z00_707); 
if(
PAIRP(BgL_sz00_715))
{ /* ./Eval/expdstruct.scm 60 */
obj_t BgL_cdrzd2125zd2_723;
BgL_cdrzd2125zd2_723 = 
CDR(BgL_sz00_715); 
if(
PAIRP(BgL_cdrzd2125zd2_723))
{ /* ./Eval/expdstruct.scm 60 */
bool_t BgL_testz00_1127;
{ /* ./Eval/expdstruct.scm 60 */
obj_t BgL_auxz00_1128;
BgL_auxz00_1128 = 
CDR(BgL_cdrzd2125zd2_723); 
BgL_testz00_1127 = 
NULLP(BgL_auxz00_1128); } 
if(BgL_testz00_1127)
{ /* ./Eval/expdstruct.scm 60 */
BgL_arg1787z00_713 = 
CAR(BgL_sz00_715); }  else 
{ /* ./Eval/expdstruct.scm 60 */
if(
SYMBOLP(BgL_sz00_715))
{ /* ./Eval/expdstruct.scm 60 */
BgL_arg1787z00_713 = BgL_sz00_715; }  else 
{ /* ./Eval/expdstruct.scm 60 */
FAILURE(BGl_string2536z00zz__expander_structz00,BGl_string2537z00zz__expander_structz00,BgL_xz00_1);} } }  else 
{ /* ./Eval/expdstruct.scm 60 */
if(
SYMBOLP(BgL_sz00_715))
{ /* ./Eval/expdstruct.scm 60 */
BgL_arg1787z00_713 = BgL_sz00_715; }  else 
{ /* ./Eval/expdstruct.scm 60 */
FAILURE(BGl_string2536z00zz__expander_structz00,BGl_string2537z00zz__expander_structz00,BgL_xz00_1);} } }  else 
{ /* ./Eval/expdstruct.scm 60 */
if(
SYMBOLP(BgL_sz00_715))
{ /* ./Eval/expdstruct.scm 60 */
BgL_arg1787z00_713 = BgL_sz00_715; }  else 
{ /* ./Eval/expdstruct.scm 60 */
FAILURE(BGl_string2536z00zz__expander_structz00,BGl_string2537z00zz__expander_structz00,BgL_xz00_1);} } } 
BgL_newtail1007z00_711 = 
MAKE_PAIR(BgL_arg1787z00_713, BNIL); } 
SET_CDR(BgL_tail1006z00_708, BgL_newtail1007z00_711); 
{ 
obj_t BgL_tail1006z00_1145;obj_t BgL_l1003z00_1143;
BgL_l1003z00_1143 = 
CDR(BgL_l1003z00_707); 
BgL_tail1006z00_1145 = BgL_newtail1007z00_711; 
BgL_tail1006z00_708 = BgL_tail1006z00_1145; 
BgL_l1003z00_707 = BgL_l1003z00_1143; 
goto BgL_map1004z00_709;} } } } 
{ /* ./Eval/expdstruct.scm 59 */
bool_t BgL_slotszd2valzf3z21_369;
BgL_slotszd2valzf3z21_369 = ((bool_t)0); 
{ /* ./Eval/expdstruct.scm 70 */
obj_t BgL_slotszd2valzd2_370;
if(
NULLP(BgL_slotsz00_358))
{ /* ./Eval/expdstruct.scm 71 */
BgL_slotszd2valzd2_370 = BNIL; }  else 
{ /* ./Eval/expdstruct.scm 71 */
obj_t BgL_head1010z00_680;
BgL_head1010z00_680 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l1008z00_681;obj_t BgL_tail1011z00_682;
BgL_l1008z00_681 = BgL_slotsz00_358; 
BgL_tail1011z00_682 = BgL_head1010z00_680; 
BgL_map1009z00_683:
if(
NULLP(BgL_l1008z00_681))
{ /* ./Eval/expdstruct.scm 71 */
BgL_slotszd2valzd2_370 = 
CDR(BgL_head1010z00_680); }  else 
{ /* ./Eval/expdstruct.scm 72 */
obj_t BgL_newtail1012z00_685;
{ /* ./Eval/expdstruct.scm 72 */
obj_t BgL_arg1743z00_687;
{ /* ./Eval/expdstruct.scm 72 */
obj_t BgL_sz00_689;
BgL_sz00_689 = 
CAR(BgL_l1008z00_681); 
if(
PAIRP(BgL_sz00_689))
{ /* ./Eval/expdstruct.scm 72 */
obj_t BgL_cdrzd2138zd2_696;
BgL_cdrzd2138zd2_696 = 
CDR(BgL_sz00_689); 
if(
PAIRP(BgL_cdrzd2138zd2_696))
{ /* ./Eval/expdstruct.scm 72 */
bool_t BgL_testz00_1158;
{ /* ./Eval/expdstruct.scm 72 */
obj_t BgL_auxz00_1159;
BgL_auxz00_1159 = 
CDR(BgL_cdrzd2138zd2_696); 
BgL_testz00_1158 = 
NULLP(BgL_auxz00_1159); } 
if(BgL_testz00_1158)
{ /* ./Eval/expdstruct.scm 72 */
obj_t BgL_arg1750z00_699;
BgL_arg1750z00_699 = 
CAR(BgL_cdrzd2138zd2_696); 
BgL_slotszd2valzf3z21_369 = ((bool_t)1); 
BgL_arg1743z00_687 = BgL_arg1750z00_699; }  else 
{ /* ./Eval/expdstruct.scm 72 */
if(
SYMBOLP(BgL_sz00_689))
{ /* ./Eval/expdstruct.scm 72 */
BgL_arg1743z00_687 = BGl_list2538z00zz__expander_structz00; }  else 
{ /* ./Eval/expdstruct.scm 72 */
FAILURE(BGl_string2536z00zz__expander_structz00,BGl_string2537z00zz__expander_structz00,BgL_xz00_1);} } }  else 
{ /* ./Eval/expdstruct.scm 72 */
if(
SYMBOLP(BgL_sz00_689))
{ /* ./Eval/expdstruct.scm 72 */
BgL_arg1743z00_687 = BGl_list2538z00zz__expander_structz00; }  else 
{ /* ./Eval/expdstruct.scm 72 */
FAILURE(BGl_string2536z00zz__expander_structz00,BGl_string2537z00zz__expander_structz00,BgL_xz00_1);} } }  else 
{ /* ./Eval/expdstruct.scm 72 */
if(
SYMBOLP(BgL_sz00_689))
{ /* ./Eval/expdstruct.scm 72 */
BgL_arg1743z00_687 = BGl_list2538z00zz__expander_structz00; }  else 
{ /* ./Eval/expdstruct.scm 72 */
FAILURE(BGl_string2536z00zz__expander_structz00,BGl_string2537z00zz__expander_structz00,BgL_xz00_1);} } } 
BgL_newtail1012z00_685 = 
MAKE_PAIR(BgL_arg1743z00_687, BNIL); } 
SET_CDR(BgL_tail1011z00_682, BgL_newtail1012z00_685); 
{ 
obj_t BgL_tail1011z00_1176;obj_t BgL_l1008z00_1174;
BgL_l1008z00_1174 = 
CDR(BgL_l1008z00_681); 
BgL_tail1011z00_1176 = BgL_newtail1012z00_685; 
BgL_tail1011z00_682 = BgL_tail1011z00_1176; 
BgL_l1008z00_681 = BgL_l1008z00_1174; 
goto BgL_map1009z00_683;} } } } 
{ /* ./Eval/expdstruct.scm 71 */

{ /* ./Eval/expdstruct.scm 84 */
obj_t BgL_arg1029z00_371;obj_t BgL_arg1030z00_372;
BgL_arg1029z00_371 = BGl_symbol2540z00zz__expander_structz00; 
{ /* ./Eval/expdstruct.scm 88 */
obj_t BgL_arg1033z00_373;obj_t BgL_arg1034z00_374;
{ /* ./Eval/expdstruct.scm 88 */
obj_t BgL_arg1037z00_375;
{ /* ./Eval/expdstruct.scm 88 */
obj_t BgL_arg1041z00_376;
{ /* ./Eval/expdstruct.scm 88 */
obj_t BgL_arg1044z00_377;obj_t BgL_arg1045z00_378;
BgL_arg1044z00_377 = BGl_symbol2541z00zz__expander_structz00; 
{ /* ./Eval/expdstruct.scm 88 */
obj_t BgL_arg1048z00_379;obj_t BgL_arg1049z00_380;
{ /* ./Eval/expdstruct.scm 88 */
obj_t BgL_arg1052z00_381;obj_t BgL_arg1053z00_382;
{ /* ./Eval/expdstruct.scm 88 */
obj_t BgL_list1056z00_383;
{ /* ./Eval/expdstruct.scm 88 */
obj_t BgL_arg1058z00_384;obj_t BgL_arg1059z00_385;
BgL_arg1058z00_384 = BGl_symbol2542z00zz__expander_structz00; 
BgL_arg1059z00_385 = 
MAKE_PAIR(BgL_namez00_357, BNIL); 
BgL_list1056z00_383 = 
MAKE_PAIR(BgL_arg1058z00_384, BgL_arg1059z00_385); } 
BgL_arg1052z00_381 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1056z00_383); } 
BgL_arg1053z00_382 = BGl_symbol2543z00zz__expander_structz00; 
BgL_arg1048z00_379 = 
MAKE_PAIR(BgL_arg1052z00_381, BgL_arg1053z00_382); } 
{ /* ./Eval/expdstruct.scm 89 */
obj_t BgL_arg1064z00_386;
if(BgL_slotszd2valzf3z21_369)
{ /* ./Eval/expdstruct.scm 96 */
obj_t BgL_arg1068z00_388;obj_t BgL_arg1069z00_389;
BgL_arg1068z00_388 = BGl_symbol2544z00zz__expander_structz00; 
{ /* ./Eval/expdstruct.scm 90 */
obj_t BgL_arg1073z00_390;obj_t BgL_arg1075z00_391;
{ /* ./Eval/expdstruct.scm 90 */
obj_t BgL_arg1079z00_392;obj_t BgL_arg1080z00_393;
BgL_arg1079z00_392 = BGl_symbol2545z00zz__expander_structz00; 
BgL_arg1080z00_393 = 
MAKE_PAIR(BGl_symbol2543z00zz__expander_structz00, BNIL); 
BgL_arg1073z00_390 = 
MAKE_PAIR(BgL_arg1079z00_392, BgL_arg1080z00_393); } 
{ /* ./Eval/expdstruct.scm 91 */
obj_t BgL_arg1084z00_394;obj_t BgL_arg1085z00_395;
{ /* ./Eval/expdstruct.scm 91 */
obj_t BgL_arg1088z00_396;obj_t BgL_arg1089z00_397;
BgL_arg1088z00_396 = BGl_symbol2544z00zz__expander_structz00; 
{ /* ./Eval/expdstruct.scm 91 */
obj_t BgL_arg1092z00_398;obj_t BgL_arg1093z00_399;
{ /* ./Eval/expdstruct.scm 91 */
obj_t BgL_arg1096z00_400;obj_t BgL_arg1097z00_401;
BgL_arg1096z00_400 = BGl_symbol2546z00zz__expander_structz00; 
{ /* ./Eval/expdstruct.scm 91 */
obj_t BgL_arg1100z00_402;
{ /* ./Eval/expdstruct.scm 91 */
obj_t BgL_arg1104z00_404;obj_t BgL_arg1105z00_405;
BgL_arg1104z00_404 = BGl_symbol2547z00zz__expander_structz00; 
{ /* ./Eval/expdstruct.scm 91 */
obj_t BgL_arg1108z00_406;
{ /* ./Eval/expdstruct.scm 91 */
obj_t BgL_arg1112z00_408;obj_t BgL_arg1113z00_409;
BgL_arg1112z00_408 = BGl_symbol2548z00zz__expander_structz00; 
BgL_arg1113z00_409 = 
MAKE_PAIR(BGl_symbol2543z00zz__expander_structz00, BNIL); 
BgL_arg1108z00_406 = 
MAKE_PAIR(BgL_arg1112z00_408, BgL_arg1113z00_409); } 
BgL_arg1105z00_405 = 
MAKE_PAIR(BgL_arg1108z00_406, BNIL); } 
BgL_arg1100z00_402 = 
MAKE_PAIR(BgL_arg1104z00_404, BgL_arg1105z00_405); } 
BgL_arg1097z00_401 = 
MAKE_PAIR(BgL_arg1100z00_402, BNIL); } 
BgL_arg1092z00_398 = 
MAKE_PAIR(BgL_arg1096z00_400, BgL_arg1097z00_401); } 
{ /* ./Eval/expdstruct.scm 92 */
obj_t BgL_arg1117z00_410;obj_t BgL_arg1118z00_411;
{ /* ./Eval/expdstruct.scm 92 */
obj_t BgL_arg1121z00_412;obj_t BgL_arg1122z00_413;
BgL_arg1121z00_412 = BGl_symbol2549z00zz__expander_structz00; 
{ /* ./Eval/expdstruct.scm 92 */
obj_t BgL_arg1125z00_414;obj_t BgL_arg1126z00_415;
{ /* ./Eval/expdstruct.scm 92 */
obj_t BgL_arg1130z00_416;obj_t BgL_arg1131z00_417;
BgL_arg1130z00_416 = BGl_symbol2539z00zz__expander_structz00; 
{ /* ./Eval/expdstruct.scm 92 */
obj_t BgL_arg1134z00_418;
{ /* ./Eval/expdstruct.scm 92 */
obj_t BgL_list1138z00_420;
{ /* ./Eval/expdstruct.scm 92 */
obj_t BgL_arg1140z00_421;obj_t BgL_arg1141z00_422;
BgL_arg1140z00_421 = BGl_symbol2542z00zz__expander_structz00; 
BgL_arg1141z00_422 = 
MAKE_PAIR(BgL_namez00_357, BNIL); 
BgL_list1138z00_420 = 
MAKE_PAIR(BgL_arg1140z00_421, BgL_arg1141z00_422); } 
BgL_arg1134z00_418 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1138z00_420); } 
BgL_arg1131z00_417 = 
MAKE_PAIR(BgL_arg1134z00_418, BNIL); } 
BgL_arg1125z00_414 = 
MAKE_PAIR(BgL_arg1130z00_416, BgL_arg1131z00_417); } 
{ /* ./Eval/expdstruct.scm 92 */
obj_t BgL_arg1147z00_424;
BgL_arg1147z00_424 = 
MAKE_PAIR(BGl_symbol2543z00zz__expander_structz00, BNIL); 
BgL_arg1126z00_415 = 
MAKE_PAIR(BGl_string2550z00zz__expander_structz00, BgL_arg1147z00_424); } 
BgL_arg1122z00_413 = 
MAKE_PAIR(BgL_arg1125z00_414, BgL_arg1126z00_415); } 
BgL_arg1117z00_410 = 
MAKE_PAIR(BgL_arg1121z00_412, BgL_arg1122z00_413); } 
{ /* ./Eval/expdstruct.scm 95 */
obj_t BgL_arg1151z00_425;
{ /* ./Eval/expdstruct.scm 95 */
obj_t BgL_arg1155z00_427;obj_t BgL_arg1156z00_428;
BgL_arg1155z00_427 = BGl_symbol2551z00zz__expander_structz00; 
{ /* ./Eval/expdstruct.scm 95 */
obj_t BgL_arg1160z00_429;obj_t BgL_arg1161z00_430;
{ /* ./Eval/expdstruct.scm 95 */
obj_t BgL_arg1164z00_431;obj_t BgL_arg1165z00_432;
BgL_arg1164z00_431 = BGl_symbol2539z00zz__expander_structz00; 
BgL_arg1165z00_432 = 
MAKE_PAIR(BgL_namez00_357, BNIL); 
BgL_arg1160z00_429 = 
MAKE_PAIR(BgL_arg1164z00_431, BgL_arg1165z00_432); } 
{ /* ./Eval/expdstruct.scm 95 */
obj_t BgL_arg1169z00_433;
{ /* ./Eval/expdstruct.scm 95 */
obj_t BgL_arg1172z00_434;
{ /* ./Eval/expdstruct.scm 95 */
obj_t BgL_arg1177z00_436;obj_t BgL_arg1178z00_437;
BgL_arg1177z00_436 = BGl_symbol2552z00zz__expander_structz00; 
BgL_arg1178z00_437 = 
MAKE_PAIR(BGl_symbol2543z00zz__expander_structz00, BNIL); 
BgL_arg1172z00_434 = 
MAKE_PAIR(BgL_arg1177z00_436, BgL_arg1178z00_437); } 
BgL_arg1169z00_433 = 
MAKE_PAIR(BgL_arg1172z00_434, BNIL); } 
{ /* ./Eval/expdstruct.scm 95 */
obj_t BgL_auxz00_1204;
BgL_auxz00_1204 = 
BINT(BgL_lenz00_367); 
BgL_arg1161z00_430 = 
MAKE_PAIR(BgL_auxz00_1204, BgL_arg1169z00_433); } } 
BgL_arg1156z00_428 = 
MAKE_PAIR(BgL_arg1160z00_429, BgL_arg1161z00_430); } 
BgL_arg1151z00_425 = 
MAKE_PAIR(BgL_arg1155z00_427, BgL_arg1156z00_428); } 
BgL_arg1118z00_411 = 
MAKE_PAIR(BgL_arg1151z00_425, BNIL); } 
BgL_arg1093z00_399 = 
MAKE_PAIR(BgL_arg1117z00_410, BgL_arg1118z00_411); } 
BgL_arg1089z00_397 = 
MAKE_PAIR(BgL_arg1092z00_398, BgL_arg1093z00_399); } 
BgL_arg1084z00_394 = 
MAKE_PAIR(BgL_arg1088z00_396, BgL_arg1089z00_397); } 
{ /* ./Eval/expdstruct.scm 96 */
obj_t BgL_arg1182z00_438;
{ /* ./Eval/expdstruct.scm 96 */
obj_t BgL_auxz00_1213;
BgL_auxz00_1213 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_slotszd2valzd2_370, BNIL); 
BgL_arg1182z00_438 = 
MAKE_PAIR(BgL_namez00_357, BgL_auxz00_1213); } 
BgL_arg1085z00_395 = 
MAKE_PAIR(BgL_arg1182z00_438, BNIL); } 
BgL_arg1075z00_391 = 
MAKE_PAIR(BgL_arg1084z00_394, BgL_arg1085z00_395); } 
BgL_arg1069z00_389 = 
MAKE_PAIR(BgL_arg1073z00_390, BgL_arg1075z00_391); } 
BgL_arg1064z00_386 = 
MAKE_PAIR(BgL_arg1068z00_388, BgL_arg1069z00_389); }  else 
{ /* ./Eval/expdstruct.scm 103 */
obj_t BgL_arg1191z00_441;obj_t BgL_arg1192z00_442;
BgL_arg1191z00_441 = BGl_symbol2544z00zz__expander_structz00; 
{ /* ./Eval/expdstruct.scm 97 */
obj_t BgL_arg1195z00_443;obj_t BgL_arg1196z00_444;
{ /* ./Eval/expdstruct.scm 97 */
obj_t BgL_arg1199z00_445;obj_t BgL_arg1200z00_446;
BgL_arg1199z00_445 = BGl_symbol2545z00zz__expander_structz00; 
BgL_arg1200z00_446 = 
MAKE_PAIR(BGl_symbol2543z00zz__expander_structz00, BNIL); 
BgL_arg1195z00_443 = 
MAKE_PAIR(BgL_arg1199z00_445, BgL_arg1200z00_446); } 
{ /* ./Eval/expdstruct.scm 98 */
obj_t BgL_arg1204z00_447;obj_t BgL_arg1205z00_448;
{ /* ./Eval/expdstruct.scm 98 */
obj_t BgL_arg1208z00_449;obj_t BgL_arg1209z00_450;
BgL_arg1208z00_449 = BGl_symbol2544z00zz__expander_structz00; 
{ /* ./Eval/expdstruct.scm 98 */
obj_t BgL_arg1212z00_451;obj_t BgL_arg1213z00_452;
{ /* ./Eval/expdstruct.scm 98 */
obj_t BgL_arg1216z00_453;obj_t BgL_arg1217z00_454;
BgL_arg1216z00_453 = BGl_symbol2546z00zz__expander_structz00; 
{ /* ./Eval/expdstruct.scm 98 */
obj_t BgL_arg1220z00_455;
{ /* ./Eval/expdstruct.scm 98 */
obj_t BgL_arg1224z00_457;obj_t BgL_arg1225z00_458;
BgL_arg1224z00_457 = BGl_symbol2547z00zz__expander_structz00; 
{ /* ./Eval/expdstruct.scm 98 */
obj_t BgL_arg1228z00_459;
{ /* ./Eval/expdstruct.scm 98 */
obj_t BgL_arg1233z00_461;obj_t BgL_arg1234z00_462;
BgL_arg1233z00_461 = BGl_symbol2548z00zz__expander_structz00; 
BgL_arg1234z00_462 = 
MAKE_PAIR(BGl_symbol2543z00zz__expander_structz00, BNIL); 
BgL_arg1228z00_459 = 
MAKE_PAIR(BgL_arg1233z00_461, BgL_arg1234z00_462); } 
BgL_arg1225z00_458 = 
MAKE_PAIR(BgL_arg1228z00_459, BNIL); } 
BgL_arg1220z00_455 = 
MAKE_PAIR(BgL_arg1224z00_457, BgL_arg1225z00_458); } 
BgL_arg1217z00_454 = 
MAKE_PAIR(BgL_arg1220z00_455, BNIL); } 
BgL_arg1212z00_451 = 
MAKE_PAIR(BgL_arg1216z00_453, BgL_arg1217z00_454); } 
{ /* ./Eval/expdstruct.scm 99 */
obj_t BgL_arg1238z00_463;obj_t BgL_arg1240z00_464;
{ /* ./Eval/expdstruct.scm 99 */
obj_t BgL_arg1243z00_465;obj_t BgL_arg1244z00_466;
BgL_arg1243z00_465 = BGl_symbol2549z00zz__expander_structz00; 
{ /* ./Eval/expdstruct.scm 99 */
obj_t BgL_arg1249z00_467;obj_t BgL_arg1250z00_468;
{ /* ./Eval/expdstruct.scm 99 */
obj_t BgL_arg1254z00_469;obj_t BgL_arg1255z00_470;
BgL_arg1254z00_469 = BGl_symbol2539z00zz__expander_structz00; 
{ /* ./Eval/expdstruct.scm 99 */
obj_t BgL_arg1258z00_471;
{ /* ./Eval/expdstruct.scm 99 */
obj_t BgL_list1262z00_473;
{ /* ./Eval/expdstruct.scm 99 */
obj_t BgL_arg1265z00_474;obj_t BgL_arg1266z00_475;
BgL_arg1265z00_474 = BGl_symbol2542z00zz__expander_structz00; 
BgL_arg1266z00_475 = 
MAKE_PAIR(BgL_namez00_357, BNIL); 
BgL_list1262z00_473 = 
MAKE_PAIR(BgL_arg1265z00_474, BgL_arg1266z00_475); } 
BgL_arg1258z00_471 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1262z00_473); } 
BgL_arg1255z00_470 = 
MAKE_PAIR(BgL_arg1258z00_471, BNIL); } 
BgL_arg1249z00_467 = 
MAKE_PAIR(BgL_arg1254z00_469, BgL_arg1255z00_470); } 
{ /* ./Eval/expdstruct.scm 99 */
obj_t BgL_arg1273z00_477;
BgL_arg1273z00_477 = 
MAKE_PAIR(BGl_symbol2543z00zz__expander_structz00, BNIL); 
BgL_arg1250z00_468 = 
MAKE_PAIR(BGl_string2550z00zz__expander_structz00, BgL_arg1273z00_477); } 
BgL_arg1244z00_466 = 
MAKE_PAIR(BgL_arg1249z00_467, BgL_arg1250z00_468); } 
BgL_arg1238z00_463 = 
MAKE_PAIR(BgL_arg1243z00_465, BgL_arg1244z00_466); } 
{ /* ./Eval/expdstruct.scm 102 */
obj_t BgL_arg1277z00_478;
{ /* ./Eval/expdstruct.scm 102 */
obj_t BgL_arg1281z00_480;obj_t BgL_arg1282z00_481;
BgL_arg1281z00_480 = BGl_symbol2551z00zz__expander_structz00; 
{ /* ./Eval/expdstruct.scm 102 */
obj_t BgL_arg1285z00_482;obj_t BgL_arg1286z00_483;
{ /* ./Eval/expdstruct.scm 102 */
obj_t BgL_arg1289z00_484;obj_t BgL_arg1290z00_485;
BgL_arg1289z00_484 = BGl_symbol2539z00zz__expander_structz00; 
BgL_arg1290z00_485 = 
MAKE_PAIR(BgL_namez00_357, BNIL); 
BgL_arg1285z00_482 = 
MAKE_PAIR(BgL_arg1289z00_484, BgL_arg1290z00_485); } 
{ /* ./Eval/expdstruct.scm 102 */
obj_t BgL_arg1294z00_486;
{ /* ./Eval/expdstruct.scm 102 */
obj_t BgL_arg1297z00_487;
{ /* ./Eval/expdstruct.scm 102 */
obj_t BgL_arg1301z00_489;obj_t BgL_arg1302z00_490;
BgL_arg1301z00_489 = BGl_symbol2552z00zz__expander_structz00; 
BgL_arg1302z00_490 = 
MAKE_PAIR(BGl_symbol2543z00zz__expander_structz00, BNIL); 
BgL_arg1297z00_487 = 
MAKE_PAIR(BgL_arg1301z00_489, BgL_arg1302z00_490); } 
BgL_arg1294z00_486 = 
MAKE_PAIR(BgL_arg1297z00_487, BNIL); } 
{ /* ./Eval/expdstruct.scm 102 */
obj_t BgL_auxz00_1242;
BgL_auxz00_1242 = 
BINT(BgL_lenz00_367); 
BgL_arg1286z00_483 = 
MAKE_PAIR(BgL_auxz00_1242, BgL_arg1294z00_486); } } 
BgL_arg1282z00_481 = 
MAKE_PAIR(BgL_arg1285z00_482, BgL_arg1286z00_483); } 
BgL_arg1277z00_478 = 
MAKE_PAIR(BgL_arg1281z00_480, BgL_arg1282z00_481); } 
BgL_arg1240z00_464 = 
MAKE_PAIR(BgL_arg1277z00_478, BNIL); } 
BgL_arg1213z00_452 = 
MAKE_PAIR(BgL_arg1238z00_463, BgL_arg1240z00_464); } 
BgL_arg1209z00_450 = 
MAKE_PAIR(BgL_arg1212z00_451, BgL_arg1213z00_452); } 
BgL_arg1204z00_447 = 
MAKE_PAIR(BgL_arg1208z00_449, BgL_arg1209z00_450); } 
{ /* ./Eval/expdstruct.scm 103 */
obj_t BgL_arg1306z00_491;
{ /* ./Eval/expdstruct.scm 103 */
obj_t BgL_arg1310z00_493;obj_t BgL_arg1311z00_494;
BgL_arg1310z00_493 = BGl_symbol2551z00zz__expander_structz00; 
{ /* ./Eval/expdstruct.scm 103 */
obj_t BgL_arg1314z00_495;obj_t BgL_arg1315z00_496;
{ /* ./Eval/expdstruct.scm 103 */
obj_t BgL_arg1318z00_497;obj_t BgL_arg1319z00_498;
BgL_arg1318z00_497 = BGl_symbol2539z00zz__expander_structz00; 
BgL_arg1319z00_498 = 
MAKE_PAIR(BgL_namez00_357, BNIL); 
BgL_arg1314z00_495 = 
MAKE_PAIR(BgL_arg1318z00_497, BgL_arg1319z00_498); } 
{ /* ./Eval/expdstruct.scm 103 */
obj_t BgL_arg1323z00_499;
{ /* ./Eval/expdstruct.scm 103 */
obj_t BgL_arg1326z00_500;
{ /* ./Eval/expdstruct.scm 103 */
obj_t BgL_arg1330z00_502;obj_t BgL_arg1331z00_503;
BgL_arg1330z00_502 = BGl_symbol2539z00zz__expander_structz00; 
BgL_arg1331z00_503 = 
MAKE_PAIR(BNIL, BNIL); 
BgL_arg1326z00_500 = 
MAKE_PAIR(BgL_arg1330z00_502, BgL_arg1331z00_503); } 
BgL_arg1323z00_499 = 
MAKE_PAIR(BgL_arg1326z00_500, BNIL); } 
{ /* ./Eval/expdstruct.scm 103 */
obj_t BgL_auxz00_1256;
BgL_auxz00_1256 = 
BINT(BgL_lenz00_367); 
BgL_arg1315z00_496 = 
MAKE_PAIR(BgL_auxz00_1256, BgL_arg1323z00_499); } } 
BgL_arg1311z00_494 = 
MAKE_PAIR(BgL_arg1314z00_495, BgL_arg1315z00_496); } 
BgL_arg1306z00_491 = 
MAKE_PAIR(BgL_arg1310z00_493, BgL_arg1311z00_494); } 
BgL_arg1205z00_448 = 
MAKE_PAIR(BgL_arg1306z00_491, BNIL); } 
BgL_arg1196z00_444 = 
MAKE_PAIR(BgL_arg1204z00_447, BgL_arg1205z00_448); } 
BgL_arg1192z00_442 = 
MAKE_PAIR(BgL_arg1195z00_443, BgL_arg1196z00_444); } 
BgL_arg1064z00_386 = 
MAKE_PAIR(BgL_arg1191z00_441, BgL_arg1192z00_442); } 
BgL_arg1049z00_380 = 
MAKE_PAIR(BgL_arg1064z00_386, BNIL); } 
BgL_arg1045z00_378 = 
MAKE_PAIR(BgL_arg1048z00_379, BgL_arg1049z00_380); } 
BgL_arg1041z00_376 = 
MAKE_PAIR(BgL_arg1044z00_377, BgL_arg1045z00_378); } 
{ /* ./Eval/expdstruct.scm 87 */
bool_t BgL_test1825z00_964;
BgL_test1825z00_964 = 
EXTENDED_PAIRP(BgL_xz00_1); 
if(BgL_test1825z00_964)
{ /* ./Eval/expdstruct.scm 87 */
obj_t BgL_arg1827z00_965;obj_t BgL_arg1829z00_966;obj_t BgL_arg1830z00_967;
BgL_arg1827z00_965 = 
CAR(BgL_arg1041z00_376); 
BgL_arg1829z00_966 = 
CDR(BgL_arg1041z00_376); 
BgL_arg1830z00_967 = 
CER(BgL_xz00_1); 
{ /* ./Eval/expdstruct.scm 87 */
obj_t BgL_res2502z00_975;
BgL_res2502z00_975 = 
MAKE_EXTENDED_PAIR(BgL_arg1827z00_965, BgL_arg1829z00_966, BgL_arg1830z00_967); 
BgL_arg1037z00_375 = BgL_res2502z00_975; } }  else 
{ /* ./Eval/expdstruct.scm 87 */
BgL_arg1037z00_375 = BgL_arg1041z00_376; } } } 
BgL_arg1033z00_373 = 
PROCEDURE_ENTRY(BgL_ez00_2)(BgL_ez00_2, BgL_arg1037z00_375, BgL_ez00_2, BEOA); } 
{ /* ./Eval/expdstruct.scm 108 */
obj_t BgL_arg1335z00_504;obj_t BgL_arg1336z00_505;
{ /* ./Eval/expdstruct.scm 108 */
obj_t BgL_arg1340z00_506;
{ /* ./Eval/expdstruct.scm 108 */
obj_t BgL_arg1343z00_507;
{ /* ./Eval/expdstruct.scm 108 */
obj_t BgL_arg1346z00_508;obj_t BgL_arg1347z00_509;
BgL_arg1346z00_508 = BGl_symbol2541z00zz__expander_structz00; 
{ /* ./Eval/expdstruct.scm 108 */
obj_t BgL_arg1352z00_510;obj_t BgL_arg1354z00_511;
{ /* ./Eval/expdstruct.scm 108 */
obj_t BgL_auxz00_1276;
BgL_auxz00_1276 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_slotszd2namezd2_368, BNIL); 
BgL_arg1352z00_510 = 
MAKE_PAIR(BgL_namez00_357, BgL_auxz00_1276); } 
{ /* ./Eval/expdstruct.scm 109 */
obj_t BgL_arg1361z00_513;
{ /* ./Eval/expdstruct.scm 109 */
obj_t BgL_arg1365z00_515;obj_t BgL_arg1366z00_516;
BgL_arg1365z00_515 = BGl_symbol2553z00zz__expander_structz00; 
{ /* ./Eval/expdstruct.scm 109 */
obj_t BgL_arg1370z00_517;obj_t BgL_arg1371z00_518;
{ /* ./Eval/expdstruct.scm 109 */
obj_t BgL_arg1374z00_519;
{ /* ./Eval/expdstruct.scm 109 */
obj_t BgL_arg1378z00_521;obj_t BgL_arg1380z00_522;
BgL_arg1378z00_521 = BGl_symbol2554z00zz__expander_structz00; 
{ /* ./Eval/expdstruct.scm 109 */
obj_t BgL_arg1383z00_523;
{ /* ./Eval/expdstruct.scm 109 */
obj_t BgL_arg1387z00_525;obj_t BgL_arg1388z00_526;
BgL_arg1387z00_525 = BGl_symbol2551z00zz__expander_structz00; 
{ /* ./Eval/expdstruct.scm 109 */
obj_t BgL_arg1392z00_527;obj_t BgL_arg1393z00_528;
{ /* ./Eval/expdstruct.scm 109 */
obj_t BgL_arg1396z00_529;obj_t BgL_arg1397z00_530;
BgL_arg1396z00_529 = BGl_symbol2539z00zz__expander_structz00; 
BgL_arg1397z00_530 = 
MAKE_PAIR(BgL_namez00_357, BNIL); 
BgL_arg1392z00_527 = 
MAKE_PAIR(BgL_arg1396z00_529, BgL_arg1397z00_530); } 
{ /* ./Eval/expdstruct.scm 109 */
obj_t BgL_arg1401z00_531;
{ /* ./Eval/expdstruct.scm 109 */
obj_t BgL_arg1406z00_532;
{ /* ./Eval/expdstruct.scm 109 */
obj_t BgL_arg1410z00_534;obj_t BgL_arg1412z00_535;
BgL_arg1410z00_534 = BGl_symbol2539z00zz__expander_structz00; 
BgL_arg1412z00_535 = 
MAKE_PAIR(BNIL, BNIL); 
BgL_arg1406z00_532 = 
MAKE_PAIR(BgL_arg1410z00_534, BgL_arg1412z00_535); } 
BgL_arg1401z00_531 = 
MAKE_PAIR(BgL_arg1406z00_532, BNIL); } 
{ /* ./Eval/expdstruct.scm 109 */
obj_t BgL_auxz00_1284;
BgL_auxz00_1284 = 
BINT(BgL_lenz00_367); 
BgL_arg1393z00_528 = 
MAKE_PAIR(BgL_auxz00_1284, BgL_arg1401z00_531); } } 
BgL_arg1388z00_526 = 
MAKE_PAIR(BgL_arg1392z00_527, BgL_arg1393z00_528); } 
BgL_arg1383z00_523 = 
MAKE_PAIR(BgL_arg1387z00_525, BgL_arg1388z00_526); } 
BgL_arg1380z00_522 = 
MAKE_PAIR(BgL_arg1383z00_523, BNIL); } 
BgL_arg1374z00_519 = 
MAKE_PAIR(BgL_arg1378z00_521, BgL_arg1380z00_522); } 
BgL_arg1370z00_517 = 
MAKE_PAIR(BgL_arg1374z00_519, BNIL); } 
{ /* ./Eval/expdstruct.scm 110 */
obj_t BgL_arg1416z00_536;obj_t BgL_arg1417z00_537;
{ 
obj_t BgL_slotsz00_538;obj_t BgL_resz00_539;
BgL_slotsz00_538 = BgL_slotszd2namezd2_368; 
BgL_resz00_539 = BNIL; 
BgL_loopz00_540:
if(
NULLP(BgL_slotsz00_538))
{ /* ./Eval/expdstruct.scm 112 */
BgL_arg1416z00_536 = BgL_resz00_539; }  else 
{ /* ./Eval/expdstruct.scm 114 */
obj_t BgL_arg1422z00_542;obj_t BgL_arg1423z00_543;
BgL_arg1422z00_542 = 
CDR(BgL_slotsz00_538); 
{ /* ./Eval/expdstruct.scm 116 */
obj_t BgL_arg1427z00_544;
{ /* ./Eval/expdstruct.scm 116 */
obj_t BgL_arg1430z00_545;obj_t BgL_arg1431z00_546;
{ /* ./Eval/expdstruct.scm 116 */
obj_t BgL_arg1434z00_547;obj_t BgL_arg1435z00_548;obj_t BgL_arg1436z00_549;
BgL_arg1434z00_547 = BGl_symbol2555z00zz__expander_structz00; 
BgL_arg1435z00_548 = 
CAR(BgL_slotsz00_538); 
BgL_arg1436z00_549 = BGl_symbol2556z00zz__expander_structz00; 
{ /* ./Eval/expdstruct.scm 115 */
obj_t BgL_list1438z00_550;
{ /* ./Eval/expdstruct.scm 115 */
obj_t BgL_arg1440z00_551;
{ /* ./Eval/expdstruct.scm 115 */
obj_t BgL_arg1444z00_552;
{ /* ./Eval/expdstruct.scm 115 */
obj_t BgL_arg1448z00_553;
BgL_arg1448z00_553 = 
MAKE_PAIR(BgL_arg1436z00_549, BNIL); 
BgL_arg1444z00_552 = 
MAKE_PAIR(BgL_arg1435z00_548, BgL_arg1448z00_553); } 
BgL_arg1440z00_551 = 
MAKE_PAIR(BgL_arg1434z00_547, BgL_arg1444z00_552); } 
BgL_list1438z00_550 = 
MAKE_PAIR(BgL_namez00_357, BgL_arg1440z00_551); } 
BgL_arg1430z00_545 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1438z00_550); } } 
{ /* ./Eval/expdstruct.scm 115 */
obj_t BgL_arg1453z00_554;obj_t BgL_arg1454z00_555;
BgL_arg1453z00_554 = BGl_symbol2554z00zz__expander_structz00; 
{ /* ./Eval/expdstruct.scm 115 */
obj_t BgL_auxz00_1301;
BgL_auxz00_1301 = 
CAR(BgL_slotsz00_538); 
BgL_arg1454z00_555 = 
MAKE_PAIR(BgL_auxz00_1301, BNIL); } 
BgL_arg1431z00_546 = 
MAKE_PAIR(BgL_arg1453z00_554, BgL_arg1454z00_555); } 
BgL_arg1427z00_544 = 
MAKE_PAIR(BgL_arg1430z00_545, BgL_arg1431z00_546); } 
BgL_arg1423z00_543 = 
MAKE_PAIR(BgL_arg1427z00_544, BgL_resz00_539); } 
{ 
obj_t BgL_resz00_1308;obj_t BgL_slotsz00_1307;
BgL_slotsz00_1307 = BgL_arg1422z00_542; 
BgL_resz00_1308 = BgL_arg1423z00_543; 
BgL_resz00_539 = BgL_resz00_1308; 
BgL_slotsz00_538 = BgL_slotsz00_1307; 
goto BgL_loopz00_540;} } } 
BgL_arg1417z00_537 = 
MAKE_PAIR(BGl_symbol2554z00zz__expander_structz00, BNIL); 
BgL_arg1371z00_518 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1416z00_536, BgL_arg1417z00_537); } 
BgL_arg1366z00_516 = 
MAKE_PAIR(BgL_arg1370z00_517, BgL_arg1371z00_518); } 
BgL_arg1361z00_513 = 
MAKE_PAIR(BgL_arg1365z00_515, BgL_arg1366z00_516); } 
BgL_arg1354z00_511 = 
MAKE_PAIR(BgL_arg1361z00_513, BNIL); } 
BgL_arg1347z00_509 = 
MAKE_PAIR(BgL_arg1352z00_510, BgL_arg1354z00_511); } 
BgL_arg1343z00_507 = 
MAKE_PAIR(BgL_arg1346z00_508, BgL_arg1347z00_509); } 
{ /* ./Eval/expdstruct.scm 107 */
bool_t BgL_test1825z00_982;
BgL_test1825z00_982 = 
EXTENDED_PAIRP(BgL_xz00_1); 
if(BgL_test1825z00_982)
{ /* ./Eval/expdstruct.scm 107 */
obj_t BgL_arg1827z00_983;obj_t BgL_arg1829z00_984;obj_t BgL_arg1830z00_985;
BgL_arg1827z00_983 = 
CAR(BgL_arg1343z00_507); 
BgL_arg1829z00_984 = 
CDR(BgL_arg1343z00_507); 
BgL_arg1830z00_985 = 
CER(BgL_xz00_1); 
{ /* ./Eval/expdstruct.scm 107 */
obj_t BgL_res2503z00_993;
BgL_res2503z00_993 = 
MAKE_EXTENDED_PAIR(BgL_arg1827z00_983, BgL_arg1829z00_984, BgL_arg1830z00_985); 
BgL_arg1340z00_506 = BgL_res2503z00_993; } }  else 
{ /* ./Eval/expdstruct.scm 107 */
BgL_arg1340z00_506 = BgL_arg1343z00_507; } } } 
BgL_arg1335z00_504 = 
PROCEDURE_ENTRY(BgL_ez00_2)(BgL_ez00_2, BgL_arg1340z00_506, BgL_ez00_2, BEOA); } 
{ /* ./Eval/expdstruct.scm 128 */
obj_t BgL_arg1464z00_558;obj_t BgL_arg1465z00_559;
{ /* ./Eval/expdstruct.scm 128 */
obj_t BgL_arg1468z00_560;
{ /* ./Eval/expdstruct.scm 128 */
obj_t BgL_arg1471z00_561;
{ /* ./Eval/expdstruct.scm 128 */
obj_t BgL_arg1474z00_562;obj_t BgL_arg1475z00_563;
BgL_arg1474z00_562 = BGl_symbol2541z00zz__expander_structz00; 
{ /* ./Eval/expdstruct.scm 128 */
obj_t BgL_arg1478z00_564;obj_t BgL_arg1479z00_565;
{ /* ./Eval/expdstruct.scm 128 */
obj_t BgL_arg1482z00_566;obj_t BgL_arg1483z00_567;
{ /* ./Eval/expdstruct.scm 128 */
obj_t BgL_list1486z00_568;
{ /* ./Eval/expdstruct.scm 128 */
obj_t BgL_arg1488z00_569;
BgL_arg1488z00_569 = 
MAKE_PAIR(BGl_symbol2557z00zz__expander_structz00, BNIL); 
BgL_list1486z00_568 = 
MAKE_PAIR(BgL_namez00_357, BgL_arg1488z00_569); } 
BgL_arg1482z00_566 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1486z00_568); } 
BgL_arg1483z00_567 = 
MAKE_PAIR(BGl_symbol2558z00zz__expander_structz00, BNIL); 
BgL_arg1478z00_564 = 
MAKE_PAIR(BgL_arg1482z00_566, BgL_arg1483z00_567); } 
{ /* ./Eval/expdstruct.scm 129 */
obj_t BgL_arg1493z00_570;
{ /* ./Eval/expdstruct.scm 129 */
obj_t BgL_arg1497z00_572;obj_t BgL_arg1498z00_573;
BgL_arg1497z00_572 = BGl_symbol2544z00zz__expander_structz00; 
{ /* ./Eval/expdstruct.scm 129 */
obj_t BgL_arg1501z00_574;obj_t BgL_arg1502z00_575;
{ /* ./Eval/expdstruct.scm 129 */
obj_t BgL_arg1505z00_576;obj_t BgL_arg1506z00_577;
BgL_arg1505z00_576 = BGl_symbol2559z00zz__expander_structz00; 
BgL_arg1506z00_577 = 
MAKE_PAIR(BGl_symbol2558z00zz__expander_structz00, BNIL); 
BgL_arg1501z00_574 = 
MAKE_PAIR(BgL_arg1505z00_576, BgL_arg1506z00_577); } 
{ /* ./Eval/expdstruct.scm 130 */
obj_t BgL_arg1511z00_578;obj_t BgL_arg1512z00_579;
{ /* ./Eval/expdstruct.scm 130 */
obj_t BgL_arg1515z00_580;obj_t BgL_arg1516z00_581;
BgL_arg1515z00_580 = BGl_symbol2560z00zz__expander_structz00; 
{ /* ./Eval/expdstruct.scm 130 */
obj_t BgL_arg1519z00_582;obj_t BgL_arg1520z00_583;
{ /* ./Eval/expdstruct.scm 130 */
obj_t BgL_arg1524z00_584;obj_t BgL_arg1525z00_585;
BgL_arg1524z00_584 = BGl_symbol2561z00zz__expander_structz00; 
BgL_arg1525z00_585 = 
MAKE_PAIR(BGl_symbol2558z00zz__expander_structz00, BNIL); 
BgL_arg1519z00_582 = 
MAKE_PAIR(BgL_arg1524z00_584, BgL_arg1525z00_585); } 
{ /* ./Eval/expdstruct.scm 130 */
obj_t BgL_arg1529z00_586;
{ /* ./Eval/expdstruct.scm 130 */
obj_t BgL_arg1533z00_588;obj_t BgL_arg1534z00_589;
BgL_arg1533z00_588 = BGl_symbol2539z00zz__expander_structz00; 
BgL_arg1534z00_589 = 
MAKE_PAIR(BgL_namez00_357, BNIL); 
BgL_arg1529z00_586 = 
MAKE_PAIR(BgL_arg1533z00_588, BgL_arg1534z00_589); } 
BgL_arg1520z00_583 = 
MAKE_PAIR(BgL_arg1529z00_586, BNIL); } 
BgL_arg1516z00_581 = 
MAKE_PAIR(BgL_arg1519z00_582, BgL_arg1520z00_583); } 
BgL_arg1511z00_578 = 
MAKE_PAIR(BgL_arg1515z00_580, BgL_arg1516z00_581); } 
BgL_arg1512z00_579 = 
MAKE_PAIR(BFALSE, BNIL); 
BgL_arg1502z00_575 = 
MAKE_PAIR(BgL_arg1511z00_578, BgL_arg1512z00_579); } 
BgL_arg1498z00_573 = 
MAKE_PAIR(BgL_arg1501z00_574, BgL_arg1502z00_575); } 
BgL_arg1493z00_570 = 
MAKE_PAIR(BgL_arg1497z00_572, BgL_arg1498z00_573); } 
BgL_arg1479z00_565 = 
MAKE_PAIR(BgL_arg1493z00_570, BNIL); } 
BgL_arg1475z00_563 = 
MAKE_PAIR(BgL_arg1478z00_564, BgL_arg1479z00_565); } 
BgL_arg1471z00_561 = 
MAKE_PAIR(BgL_arg1474z00_562, BgL_arg1475z00_563); } 
{ /* ./Eval/expdstruct.scm 127 */
bool_t BgL_test1825z00_996;
BgL_test1825z00_996 = 
EXTENDED_PAIRP(BgL_xz00_1); 
if(BgL_test1825z00_996)
{ /* ./Eval/expdstruct.scm 127 */
obj_t BgL_arg1827z00_997;obj_t BgL_arg1829z00_998;obj_t BgL_arg1830z00_999;
BgL_arg1827z00_997 = 
CAR(BgL_arg1471z00_561); 
BgL_arg1829z00_998 = 
CDR(BgL_arg1471z00_561); 
BgL_arg1830z00_999 = 
CER(BgL_xz00_1); 
{ /* ./Eval/expdstruct.scm 127 */
obj_t BgL_res2504z00_1007;
BgL_res2504z00_1007 = 
MAKE_EXTENDED_PAIR(BgL_arg1827z00_997, BgL_arg1829z00_998, BgL_arg1830z00_999); 
BgL_arg1468z00_560 = BgL_res2504z00_1007; } }  else 
{ /* ./Eval/expdstruct.scm 127 */
BgL_arg1468z00_560 = BgL_arg1471z00_561; } } } 
BgL_arg1464z00_558 = 
PROCEDURE_ENTRY(BgL_ez00_2)(BgL_ez00_2, BgL_arg1468z00_560, BgL_ez00_2, BEOA); } 
{ 
long BgL_iz00_590;obj_t BgL_slotsz00_591;obj_t BgL_resz00_592;
BgL_iz00_590 = ((long)0); 
BgL_slotsz00_591 = BgL_slotszd2namezd2_368; 
BgL_resz00_592 = BGl_list2568z00zz__expander_structz00; 
BgL_loopz00_593:
if(
(BgL_iz00_590==BgL_lenz00_367))
{ /* ./Eval/expdstruct.scm 138 */
BgL_arg1465z00_559 = BgL_resz00_592; }  else 
{ /* ./Eval/expdstruct.scm 140 */
obj_t BgL_prz00_595;
BgL_prz00_595 = 
CAR(BgL_slotsz00_591); 
{ /* ./Eval/expdstruct.scm 141 */
long BgL_arg1541z00_596;obj_t BgL_arg1542z00_597;obj_t BgL_arg1543z00_598;
BgL_arg1541z00_596 = 
(BgL_iz00_590+((long)1)); 
BgL_arg1542z00_597 = 
CDR(BgL_slotsz00_591); 
{ /* ./Eval/expdstruct.scm 146 */
obj_t BgL_arg1548z00_599;obj_t BgL_arg1549z00_600;
{ /* ./Eval/expdstruct.scm 146 */
obj_t BgL_arg1552z00_601;
{ /* ./Eval/expdstruct.scm 146 */
obj_t BgL_arg1555z00_602;
{ /* ./Eval/expdstruct.scm 146 */
obj_t BgL_arg1558z00_603;obj_t BgL_arg1559z00_604;
BgL_arg1558z00_603 = BGl_symbol2541z00zz__expander_structz00; 
{ /* ./Eval/expdstruct.scm 147 */
obj_t BgL_arg1562z00_605;obj_t BgL_arg1563z00_606;
{ /* ./Eval/expdstruct.scm 147 */
obj_t BgL_arg1566z00_607;obj_t BgL_arg1567z00_608;
{ /* ./Eval/expdstruct.scm 147 */
obj_t BgL_list1570z00_609;
{ /* ./Eval/expdstruct.scm 147 */
obj_t BgL_arg1572z00_610;
{ /* ./Eval/expdstruct.scm 147 */
obj_t BgL_arg1575z00_611;obj_t BgL_arg1576z00_612;
BgL_arg1575z00_611 = BGl_symbol2555z00zz__expander_structz00; 
BgL_arg1576z00_612 = 
MAKE_PAIR(BgL_prz00_595, BNIL); 
BgL_arg1572z00_610 = 
MAKE_PAIR(BgL_arg1575z00_611, BgL_arg1576z00_612); } 
BgL_list1570z00_609 = 
MAKE_PAIR(BgL_namez00_357, BgL_arg1572z00_610); } 
BgL_arg1566z00_607 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1570z00_609); } 
BgL_arg1567z00_608 = 
MAKE_PAIR(BGl_symbol2562z00zz__expander_structz00, BNIL); 
BgL_arg1562z00_605 = 
MAKE_PAIR(BgL_arg1566z00_607, BgL_arg1567z00_608); } 
{ /* ./Eval/expdstruct.scm 148 */
obj_t BgL_arg1581z00_613;
{ /* ./Eval/expdstruct.scm 148 */
obj_t BgL_arg1585z00_615;obj_t BgL_arg1586z00_616;
BgL_arg1585z00_615 = BGl_symbol2544z00zz__expander_structz00; 
{ /* ./Eval/expdstruct.scm 148 */
obj_t BgL_arg1589z00_617;obj_t BgL_arg1590z00_618;
{ /* ./Eval/expdstruct.scm 148 */
obj_t BgL_arg1593z00_619;obj_t BgL_arg1594z00_620;
{ /* ./Eval/expdstruct.scm 148 */
obj_t BgL_list1597z00_621;
{ /* ./Eval/expdstruct.scm 148 */
obj_t BgL_arg1599z00_622;
BgL_arg1599z00_622 = 
MAKE_PAIR(BGl_symbol2557z00zz__expander_structz00, BNIL); 
BgL_list1597z00_621 = 
MAKE_PAIR(BgL_namez00_357, BgL_arg1599z00_622); } 
BgL_arg1593z00_619 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1597z00_621); } 
BgL_arg1594z00_620 = 
MAKE_PAIR(BGl_symbol2562z00zz__expander_structz00, BNIL); 
BgL_arg1589z00_617 = 
MAKE_PAIR(BgL_arg1593z00_619, BgL_arg1594z00_620); } 
{ /* ./Eval/expdstruct.scm 149 */
obj_t BgL_arg1604z00_623;obj_t BgL_arg1605z00_624;
{ /* ./Eval/expdstruct.scm 149 */
obj_t BgL_arg1608z00_625;obj_t BgL_arg1609z00_626;
BgL_arg1608z00_625 = BGl_symbol2563z00zz__expander_structz00; 
{ /* ./Eval/expdstruct.scm 149 */
obj_t BgL_arg1612z00_627;obj_t BgL_arg1613z00_628;
BgL_arg1612z00_627 = BGl_symbol2562z00zz__expander_structz00; 
{ /* ./Eval/expdstruct.scm 149 */
obj_t BgL_auxz00_1369;
BgL_auxz00_1369 = 
BINT(BgL_iz00_590); 
BgL_arg1613z00_628 = 
MAKE_PAIR(BgL_auxz00_1369, BNIL); } 
BgL_arg1609z00_626 = 
MAKE_PAIR(BgL_arg1612z00_627, BgL_arg1613z00_628); } 
BgL_arg1604z00_623 = 
MAKE_PAIR(BgL_arg1608z00_625, BgL_arg1609z00_626); } 
{ /* ./Eval/expdstruct.scm 150 */
obj_t BgL_arg1617z00_629;
{ /* ./Eval/expdstruct.scm 150 */
obj_t BgL_arg1621z00_631;obj_t BgL_arg1622z00_632;
BgL_arg1621z00_631 = BGl_symbol2549z00zz__expander_structz00; 
{ /* ./Eval/expdstruct.scm 150 */
obj_t BgL_arg1626z00_634;
{ /* ./Eval/expdstruct.scm 152 */
obj_t BgL_arg1629z00_635;obj_t BgL_arg1630z00_636;
BgL_arg1629z00_635 = 
SYMBOL_TO_STRING(BgL_namez00_357); 
BgL_arg1630z00_636 = 
MAKE_PAIR(BGl_symbol2562z00zz__expander_structz00, BNIL); 
BgL_arg1626z00_634 = 
MAKE_PAIR(BgL_arg1629z00_635, BgL_arg1630z00_636); } 
BgL_arg1622z00_632 = 
MAKE_PAIR(BGl_string2564z00zz__expander_structz00, BgL_arg1626z00_634); } 
BgL_arg1617z00_629 = 
MAKE_PAIR(BgL_arg1621z00_631, BgL_arg1622z00_632); } 
BgL_arg1605z00_624 = 
MAKE_PAIR(BgL_arg1617z00_629, BNIL); } 
BgL_arg1590z00_618 = 
MAKE_PAIR(BgL_arg1604z00_623, BgL_arg1605z00_624); } 
BgL_arg1586z00_616 = 
MAKE_PAIR(BgL_arg1589z00_617, BgL_arg1590z00_618); } 
BgL_arg1581z00_613 = 
MAKE_PAIR(BgL_arg1585z00_615, BgL_arg1586z00_616); } 
BgL_arg1563z00_606 = 
MAKE_PAIR(BgL_arg1581z00_613, BNIL); } 
BgL_arg1559z00_604 = 
MAKE_PAIR(BgL_arg1562z00_605, BgL_arg1563z00_606); } 
BgL_arg1555z00_602 = 
MAKE_PAIR(BgL_arg1558z00_603, BgL_arg1559z00_604); } 
{ /* ./Eval/expdstruct.scm 145 */
bool_t BgL_test1825z00_1017;
BgL_test1825z00_1017 = 
EXTENDED_PAIRP(BgL_xz00_1); 
if(BgL_test1825z00_1017)
{ /* ./Eval/expdstruct.scm 145 */
obj_t BgL_arg1827z00_1018;obj_t BgL_arg1829z00_1019;obj_t BgL_arg1830z00_1020;
BgL_arg1827z00_1018 = 
CAR(BgL_arg1555z00_602); 
BgL_arg1829z00_1019 = 
CDR(BgL_arg1555z00_602); 
BgL_arg1830z00_1020 = 
CER(BgL_xz00_1); 
{ /* ./Eval/expdstruct.scm 145 */
obj_t BgL_res2505z00_1028;
BgL_res2505z00_1028 = 
MAKE_EXTENDED_PAIR(BgL_arg1827z00_1018, BgL_arg1829z00_1019, BgL_arg1830z00_1020); 
BgL_arg1552z00_601 = BgL_res2505z00_1028; } }  else 
{ /* ./Eval/expdstruct.scm 145 */
BgL_arg1552z00_601 = BgL_arg1555z00_602; } } } 
BgL_arg1548z00_599 = 
PROCEDURE_ENTRY(BgL_ez00_2)(BgL_ez00_2, BgL_arg1552z00_601, BgL_ez00_2, BEOA); } 
{ /* ./Eval/expdstruct.scm 159 */
obj_t BgL_arg1635z00_637;
{ /* ./Eval/expdstruct.scm 159 */
obj_t BgL_arg1638z00_638;
{ /* ./Eval/expdstruct.scm 159 */
obj_t BgL_arg1641z00_639;
{ /* ./Eval/expdstruct.scm 159 */
obj_t BgL_arg1644z00_640;obj_t BgL_arg1645z00_641;
BgL_arg1644z00_640 = BGl_symbol2541z00zz__expander_structz00; 
{ /* ./Eval/expdstruct.scm 160 */
obj_t BgL_arg1648z00_642;obj_t BgL_arg1649z00_643;
{ /* ./Eval/expdstruct.scm 160 */
obj_t BgL_arg1652z00_644;obj_t BgL_arg1653z00_645;
{ /* ./Eval/expdstruct.scm 160 */
obj_t BgL_list1656z00_646;
{ /* ./Eval/expdstruct.scm 160 */
obj_t BgL_arg1658z00_647;
{ /* ./Eval/expdstruct.scm 160 */
obj_t BgL_arg1661z00_648;obj_t BgL_arg1662z00_649;
BgL_arg1661z00_648 = BGl_symbol2555z00zz__expander_structz00; 
{ /* ./Eval/expdstruct.scm 160 */
obj_t BgL_arg1666z00_650;
BgL_arg1666z00_650 = 
MAKE_PAIR(BGl_symbol2556z00zz__expander_structz00, BNIL); 
BgL_arg1662z00_649 = 
MAKE_PAIR(BgL_prz00_595, BgL_arg1666z00_650); } 
BgL_arg1658z00_647 = 
MAKE_PAIR(BgL_arg1661z00_648, BgL_arg1662z00_649); } 
BgL_list1656z00_646 = 
MAKE_PAIR(BgL_namez00_357, BgL_arg1658z00_647); } 
BgL_arg1652z00_644 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1656z00_646); } 
{ /* ./Eval/expdstruct.scm 160 */
obj_t BgL_arg1670z00_651;obj_t BgL_arg1671z00_652;
BgL_arg1670z00_651 = BGl_symbol2562z00zz__expander_structz00; 
BgL_arg1671z00_652 = 
MAKE_PAIR(BGl_symbol2565z00zz__expander_structz00, BNIL); 
BgL_arg1653z00_645 = 
MAKE_PAIR(BgL_arg1670z00_651, BgL_arg1671z00_652); } 
BgL_arg1648z00_642 = 
MAKE_PAIR(BgL_arg1652z00_644, BgL_arg1653z00_645); } 
{ /* ./Eval/expdstruct.scm 161 */
obj_t BgL_arg1675z00_653;
{ /* ./Eval/expdstruct.scm 161 */
obj_t BgL_arg1679z00_655;obj_t BgL_arg1680z00_656;
BgL_arg1679z00_655 = BGl_symbol2544z00zz__expander_structz00; 
{ /* ./Eval/expdstruct.scm 161 */
obj_t BgL_arg1683z00_657;obj_t BgL_arg1684z00_658;
{ /* ./Eval/expdstruct.scm 161 */
obj_t BgL_arg1687z00_659;obj_t BgL_arg1688z00_660;
{ /* ./Eval/expdstruct.scm 161 */
obj_t BgL_list1691z00_661;
{ /* ./Eval/expdstruct.scm 161 */
obj_t BgL_arg1693z00_662;
BgL_arg1693z00_662 = 
MAKE_PAIR(BGl_symbol2557z00zz__expander_structz00, BNIL); 
BgL_list1691z00_661 = 
MAKE_PAIR(BgL_namez00_357, BgL_arg1693z00_662); } 
BgL_arg1687z00_659 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1691z00_661); } 
BgL_arg1688z00_660 = 
MAKE_PAIR(BGl_symbol2562z00zz__expander_structz00, BNIL); 
BgL_arg1683z00_657 = 
MAKE_PAIR(BgL_arg1687z00_659, BgL_arg1688z00_660); } 
{ /* ./Eval/expdstruct.scm 162 */
obj_t BgL_arg1698z00_663;obj_t BgL_arg1699z00_664;
{ /* ./Eval/expdstruct.scm 162 */
obj_t BgL_arg1702z00_665;obj_t BgL_arg1703z00_666;
BgL_arg1702z00_665 = BGl_symbol2566z00zz__expander_structz00; 
{ /* ./Eval/expdstruct.scm 162 */
obj_t BgL_arg1706z00_667;obj_t BgL_arg1707z00_668;
BgL_arg1706z00_667 = BGl_symbol2562z00zz__expander_structz00; 
{ /* ./Eval/expdstruct.scm 162 */
obj_t BgL_arg1710z00_669;
BgL_arg1710z00_669 = 
MAKE_PAIR(BGl_symbol2565z00zz__expander_structz00, BNIL); 
{ /* ./Eval/expdstruct.scm 162 */
obj_t BgL_auxz00_1408;
BgL_auxz00_1408 = 
BINT(BgL_iz00_590); 
BgL_arg1707z00_668 = 
MAKE_PAIR(BgL_auxz00_1408, BgL_arg1710z00_669); } } 
BgL_arg1703z00_666 = 
MAKE_PAIR(BgL_arg1706z00_667, BgL_arg1707z00_668); } 
BgL_arg1698z00_663 = 
MAKE_PAIR(BgL_arg1702z00_665, BgL_arg1703z00_666); } 
{ /* ./Eval/expdstruct.scm 163 */
obj_t BgL_arg1714z00_670;
{ /* ./Eval/expdstruct.scm 163 */
obj_t BgL_arg1718z00_672;obj_t BgL_arg1719z00_673;
BgL_arg1718z00_672 = BGl_symbol2549z00zz__expander_structz00; 
{ /* ./Eval/expdstruct.scm 163 */
obj_t BgL_arg1723z00_675;
{ /* ./Eval/expdstruct.scm 165 */
obj_t BgL_arg1726z00_676;obj_t BgL_arg1727z00_677;
BgL_arg1726z00_676 = 
SYMBOL_TO_STRING(BgL_namez00_357); 
BgL_arg1727z00_677 = 
MAKE_PAIR(BGl_symbol2562z00zz__expander_structz00, BNIL); 
BgL_arg1723z00_675 = 
MAKE_PAIR(BgL_arg1726z00_676, BgL_arg1727z00_677); } 
BgL_arg1719z00_673 = 
MAKE_PAIR(BGl_string2567z00zz__expander_structz00, BgL_arg1723z00_675); } 
BgL_arg1714z00_670 = 
MAKE_PAIR(BgL_arg1718z00_672, BgL_arg1719z00_673); } 
BgL_arg1699z00_664 = 
MAKE_PAIR(BgL_arg1714z00_670, BNIL); } 
BgL_arg1684z00_658 = 
MAKE_PAIR(BgL_arg1698z00_663, BgL_arg1699z00_664); } 
BgL_arg1680z00_656 = 
MAKE_PAIR(BgL_arg1683z00_657, BgL_arg1684z00_658); } 
BgL_arg1675z00_653 = 
MAKE_PAIR(BgL_arg1679z00_655, BgL_arg1680z00_656); } 
BgL_arg1649z00_643 = 
MAKE_PAIR(BgL_arg1675z00_653, BNIL); } 
BgL_arg1645z00_641 = 
MAKE_PAIR(BgL_arg1648z00_642, BgL_arg1649z00_643); } 
BgL_arg1641z00_639 = 
MAKE_PAIR(BgL_arg1644z00_640, BgL_arg1645z00_641); } 
{ /* ./Eval/expdstruct.scm 158 */
bool_t BgL_test1825z00_1032;
BgL_test1825z00_1032 = 
EXTENDED_PAIRP(BgL_xz00_1); 
if(BgL_test1825z00_1032)
{ /* ./Eval/expdstruct.scm 158 */
obj_t BgL_arg1827z00_1033;obj_t BgL_arg1829z00_1034;obj_t BgL_arg1830z00_1035;
BgL_arg1827z00_1033 = 
CAR(BgL_arg1641z00_639); 
BgL_arg1829z00_1034 = 
CDR(BgL_arg1641z00_639); 
BgL_arg1830z00_1035 = 
CER(BgL_xz00_1); 
{ /* ./Eval/expdstruct.scm 158 */
obj_t BgL_res2506z00_1043;
BgL_res2506z00_1043 = 
MAKE_EXTENDED_PAIR(BgL_arg1827z00_1033, BgL_arg1829z00_1034, BgL_arg1830z00_1035); 
BgL_arg1638z00_638 = BgL_res2506z00_1043; } }  else 
{ /* ./Eval/expdstruct.scm 158 */
BgL_arg1638z00_638 = BgL_arg1641z00_639; } } } 
BgL_arg1635z00_637 = 
PROCEDURE_ENTRY(BgL_ez00_2)(BgL_ez00_2, BgL_arg1638z00_638, BgL_ez00_2, BEOA); } 
BgL_arg1549z00_600 = 
MAKE_PAIR(BgL_arg1635z00_637, BgL_resz00_592); } 
BgL_arg1543z00_598 = 
MAKE_PAIR(BgL_arg1548z00_599, BgL_arg1549z00_600); } 
{ 
obj_t BgL_resz00_1437;obj_t BgL_slotsz00_1436;long BgL_iz00_1435;
BgL_iz00_1435 = BgL_arg1541z00_596; 
BgL_slotsz00_1436 = BgL_arg1542z00_597; 
BgL_resz00_1437 = BgL_arg1543z00_598; 
BgL_resz00_592 = BgL_resz00_1437; 
BgL_slotsz00_591 = BgL_slotsz00_1436; 
BgL_iz00_590 = BgL_iz00_1435; 
goto BgL_loopz00_593;} } } } 
BgL_arg1336z00_505 = 
MAKE_PAIR(BgL_arg1464z00_558, BgL_arg1465z00_559); } 
BgL_arg1034z00_374 = 
MAKE_PAIR(BgL_arg1335z00_504, BgL_arg1336z00_505); } 
BgL_arg1030z00_372 = 
MAKE_PAIR(BgL_arg1033z00_373, BgL_arg1034z00_374); } 
return 
MAKE_PAIR(BgL_arg1029z00_371, BgL_arg1030z00_372);} } } } } } }  else 
{ /* ./Eval/expdstruct.scm 55 */
FAILURE(BGl_string2536z00zz__expander_structz00,BGl_string2537z00zz__expander_structz00,BgL_xz00_1);} }  else 
{ /* ./Eval/expdstruct.scm 55 */
FAILURE(BGl_string2536z00zz__expander_structz00,BGl_string2537z00zz__expander_structz00,BgL_xz00_1);} } } 
}



/* _expand-eval-define-struct */
obj_t BGl__expandzd2evalzd2definezd2structzd2zz__expander_structz00(obj_t BgL_envz00_1066, obj_t BgL_xz00_1067, obj_t BgL_ez00_1068)
{ AN_OBJECT;
{ /* ./Eval/expdstruct.scm 54 */
return 
BGl_expandzd2evalzd2definezd2structzd2zz__expander_structz00(BgL_xz00_1067, BgL_ez00_1068);} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__expander_structz00()
{ AN_OBJECT;
{ /* ./Eval/expdstruct.scm 18 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)11084), "__expander_struct"); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)48291), "__expander_struct"); 
BGl_modulezd2initializa7ationz75zz__tvectorz00(((long)57114), "__expander_struct"); 
BGl_modulezd2initializa7ationz75zz__structurez00(((long)53290), "__expander_struct"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)13855), "__expander_struct"); 
BGl_modulezd2initializa7ationz75zz__match_normaliza7eza7(((long)48951), "__expander_struct"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)21694), "__expander_struct"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)6615), "__expander_struct"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)49269), "__expander_struct"); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)29164), "__expander_struct"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)51785), "__expander_struct"); 
BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long)35070), "__expander_struct"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)247), "__expander_struct"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)21875), "__expander_struct"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)104413), "__expander_struct"); 
BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long)50132), "__expander_struct"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)63121), "__expander_struct"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)13988), "__expander_struct"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)45566), "__expander_struct"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)18972), "__expander_struct"); 
return 
BGl_modulezd2initializa7ationz75zz__prognz00(((long)9608), "__expander_struct");} 
}

